%global srcname invoke
%global sum A Python task execution tool and library
%global comm_desc \
Invoke is a Python (2.6+ and 3.2+) task execution tool and library,\
drawing inspiration from various sources to arrive at a powerful\
and clean feature set.\


Name: python-invoke
Version: 0.20.1
Release: 1%{?dist}
Summary: A Python task execution tool and library

License: BSD
URL: http://pyinvoke.org
Source0: https://github.com/pyinvoke/invoke/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch



%description 
%{invoke_desc}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires: python-six
Requires: python-pexpect
Requires: python-fluidity-sm
Requires: python-lexicon
Requires: PyYAML

BuildRequires: python-devel 
BuildRequires: python-setuptools  
#BuildRequires: python-spec
BuildRequires: python-six 
BuildRequires: python-pexpect 
BuildRequires: python-fluidity-sm 
BuildRequires: python-lexicon 
BuildRequires: PyYAML

%description -n python2-%{srcname}
%{common_desc}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires: python3-six
Requires: python3-pexpect
Requires: python3-fluidity-sm
Requires: python3-lexicon
Requires: python3-PyYAML
BuildRequires: python3-devel
BuildRequires: python3-setuptools
#BuildRequires: python3-spec
BuildRequires: python3-six
BuildRequires: python3-pexpect
BuildRequires: python3-fluidity-sm
BuildRequires: python3-lexicon
BuildRequires: python3-PyYAML

%description -n python3-%{srcname}
%{common_desc}



%prep
%setup -qn %{srcname}-%{version}
rm -fr invoke.egg-info/

# Remove bundled libs, import will fallback to system provided libs
rm -fr invoke/vendor/*

%build
%py2_build
%py3_build

%check
# TODO: Fix import in the test suite
#spec-%{python2_version}
#spec-%{python3_version}

%install
%py2_install

# Replace binaries name to avoid conflict with python2 variant
sed -i '
s/invoke = invoke.main:program.run/invoke3 = invoke.main:program.run/
s/inv = invoke.main:program.run/inv3 = invoke.main:program.run/
' setup.py

%py3_install

%files -n python2-%{srcname}
%doc README.*
%license LICENSE
%{_bindir}/inv
%{_bindir}/invoke
%{python2_sitelib}/invoke/
%{python2_sitelib}/invoke-%{version}-*.egg-info/

%files -n python3-%{srcname}
%doc README.*
%license LICENSE
%{_bindir}/inv3
%{_bindir}/invoke3
%{python3_sitelib}/invoke/
%{python3_sitelib}/invoke-%{version}-*.egg-info/



%changelog
* Sat Jul 29 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.20.1-1
- Update to 0.20.1

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 02 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.19.0-1
- Update to 0.19.0

* Fri May 26 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.17.0-1
- Update to 0.17.0

* Sat Apr 22 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.16.3-1
- Update to 0.16.3
- Remove upstreamed patch

* Sat Feb 18 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.15.0-2
- Fix Deps/BR, remove -spec until unretired

* Sat Feb 18 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0
- Rework unbundling part

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.14.0-2
- Rebuild for Python 3.6

* Sun Dec 11 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jun 28 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 0.13.0-2
- Remove retired deps

* Tue Jun 28 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 0.13.0-1
- Update to 0.13.0
- Revamp the spec

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jan 11 2015 Athmane Madjoudj <athmane@fedoraproject.org> 0.9.0-4
- Update deps

* Mon Dec 01 2014 Athmane Madjoudj <athmane@fedoraproject.org>  0.9.0-3
- Update BR
- Minor fixes in files and install sections.

* Sat Nov 29 2014 Athmane Madjoudj <athmane@fedoraproject.org>  0.9.0-2
- Remove bundled libs.
- Remove .egg-info dir
- Restrict files section
- Add some build options

* Fri Nov 14 2014 Athmane Madjoudj <athmane@fedoraproject.org> 0.9.0-1
- Initial spec

